- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::MEData Class Reference

Class for all the motion estimation data. More...

`#include <motion.h>`

Inheritance diagram for dirac::MEData:

List of all members.

## Public Member Functions
| MEData (const int xnumMB, const int ynumMB, const int xnumblocks, const int ynumblocks, const int num_refs=2)
| Constructor.
| MEData (const int xnumMB, const int ynumMB, const int num_refs=2)
| Constructor.
| ~MEData ()
| Destructor.
TwoDArray< MvCostData > & | PredCosts (const int ref_id)
| Get the block cost structures for each reference.
const TwoDArray< MvCostData > & | PredCosts (const int ref_id) const
| Get the block cost structures for each reference.
TwoDArray< float > & | IntraCosts ()
| Get the intra costs.
const TwoDArray< float > & | IntraCosts () const
| Get the intra costs.
TwoDArray< MvCostData > & | BiPredCosts ()
| Get the bipred costs.
const TwoDArray< MvCostData > & | BiPredCosts () const
| Get the bipred costs.
TwoDArray< float > & | MBCosts ()
| Get the MB costs.
const TwoDArray< float > & | MBCosts () const
| Get the MB costs.
void | SetLambdaMap (const int num_refs, const float lambda)
| Set up the lambda map by detecting motion discontinuities.
void | SetLambdaMap (const int level, const TwoDArray< float > &l_map, const float wt)
| Set up the lambda map by averaging the lambda map from a lower level.
const TwoDArray< float > & | LambdaMap () const
| Get a lambda value for a given block and level.
TwoDArray< int > & | GlobalMotionInliers (const int ref_id)
| Get the inliers for each reference.
const TwoDArray< int > & | GlobalMotionInliers (const int ref_id) const
| Get the inliers for each reference.
## Friends
std::ostream & | operator<< (std::ostream &stream, MEData &me_data)
| Overloaded operator<< for outputing to (file) stream.
std::istream & | operator>> (std::istream &stream, MEData &me_data)
| Overloaded operator>> for input of data from (file) stream.

## Detailed Description

Class for all the motion estimation data.

Motion estimation data: derived from MvData class, also incorporates costs for blocks and macroblocks

Definition at line 312 of file motion.h.

## Constructor & Destructor Documentation

MEData::MEData | ( | const int | xnumMB,
|  | const int | ynumMB,
|  | const int | xnumblocks,
|  | const int | ynumblocks,
|  | const int | num_refs = `2`
| ) |

  | Constructor. Constructor takes: Parameters:
  | xnumMB | the number of MBs horizontally
  | ynumMB | the number of MBs vertically
  | xnumblocks | the number of blocks horizontally
  | ynumblocks | the number of blocks vertically
  | num_refs | the number of references being used for the frame
Definition at line 117 of file motion.cpp.

MEData::MEData | ( | const int | xnumMB,
|  | const int | ynumMB,
|  | const int | num_refs = `2`
| ) |

  | Constructor. Constructor. Numbers of blocks derived from the number of MBs Parameters:
  | xnumMB | the number of MBs horizontally
  | ynumMB | the number of MBs vertically
  | num_refs | the number of references being used for the frame
Definition at line 130 of file motion.cpp.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/motion.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/motion.cpp